package com.chushang.loan.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.chushang.common.mybatis.utils.PageResult;
import com.chushang.loan.domin.dto.LoanApproval;
import com.chushang.loan.domin.dto.LoanFormData;
import com.chushang.loan.domin.entity.LoanEntity;
import com.chushang.loan.domin.query.LoanFormQuery;

public interface ILoanService {

    void submitFormData(LoanFormData formData);

    String qcCode(LoanFormQuery formData) throws Exception;

    PageResult queryLoan(LoanEntity query);

    PageResult queryData(LoanEntity query);

    int approval(LoanApproval approval);


}
